%define major 0
%define libname %mklibname clucene %{major}
%define develname %mklibname clucene -d
%define _disable_ld_no_undefined 1

Summary:	C++ port of Lucene
Name:		clucene
Version:	0.9.21b
Release:	%mkrel 3
License:	LGPL
Group:		Archiving/Other
URL:            http://clucene.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/clucene/%{name}-core-%{version}.tar.bz2


%description
CLucene is a C++ port of Lucene: the high-performance, full-featured 
text search engine written in Java. CLucene is faster than lucene 
as it is written in C++.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
# Package not exists anymore
# Orifinal content was just test tools
Obsoletes: clucene <= 0.9.15

%description -n	%{libname}
CLucene is a C++ port of Lucene: the high-performance, full-featured 
text search engine written in Java. CLucene is faster than lucene 
as it is written in C++.

This package contains shared libraries for clucene.

%package -n	%{develname}
Summary:	Static library and header files for the %{name} library
Group:		Development/C++
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname -d clucene 0

%description -n	%{develname}
CLucene is a C++ port of Lucene: the high-performance, full-featured 
text search engine written in Java. CLucene is faster than lucene 
as it is written in C++.

This package contains static libraries and development headers for 
clucene.

%prep

%setup -q -n %name-core-%version

%build
%configure2_5x

make

%install
rm -rf %{buildroot}

%makeinstall  

# Provide a pointer to right place
ln -sf %{_libdir}/CLucene/clucene-config.h %buildroot/%_includedir/CLucene/


%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,0755)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root,0755)
%{_libdir}/CLucene/clucene-config.h
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a

%changelog
* Sat Jan 15 2011 mikala <mikala> 0.9.21b-3.mga1
+ Revision: 18128
- Add disable_ld_no_undefined
- Drop mdk macros
- Remove BuildRoot
- imported package clucene


* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.21b-3mdv2010.1
+ Revision: 522386
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.21b-2mdv2010.0
+ Revision: 413255
- rebuild

* Sun Mar 22 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.9.21b-1mdv2009.1
+ Revision: 360135
- Updated to version 0.9.21b

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.9.20-3mdv2009.0
+ Revision: 220506
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.9.20-2mdv2008.1
+ Revision: 170785
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Nov 04 2007 Funda Wang <fwang@mandriva.org> 0.9.20-1mdv2008.1
+ Revision: 105706
- New version 0.9.20


* Thu Jan 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.16-1mdv2007.0
+ Revision: 107653
- New version 0.9.16

* Sat Aug 19 2006 Helio Chissini de Castro <helio@mandriva.com> 0.9.15-2mdv2007.0
+ Revision: 56830
- Link proper config.h

* Sat Aug 19 2006 Helio Chissini de Castro <helio@mandriva.com> 0.9.15-1mdv2007.0
+ Revision: 56823
- Wrong doc files. Removed
- New upstream version ( gcc 4 fixed )
- Removed non existent mainpackage clucene
- import clucene-0.9.10-1mdk

* Thu Mar 23 2006 Lenny Cartier <lenny@mandriva.com> 0.9.10-1mdk
- 0.9.10

* Sun Jan 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.13-3mdk
- spec file fixups

* Sat Jul 02 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.13-2mdk
- Fix generate debug file

* Sat Jul 02 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.13-1mdk
- Initial package

